Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillSection

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillSection

All Implemented Interfaces:
  java.lang.Cloneable, JROriginProvider, JRCloneable, JRSection

    public class JRFillSection

extends java.lang.Object
implements JRSection, JROriginProvider

Version:
  $Id: JRFillSection.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected JRFillBand[]` | `bands`
`protected JRBaseFiller` | `filler`
`protected JROrigin` | `origin`

Constructor Summary
`protected` | `JRFillSection(JRBaseFiller filler, JRSection section, JRFillObjectFactory factory)`

Method Summary
`protected void` | `addNowEvaluationTime(JREvaluationTime evaluationTime)`
`protected boolean` | `areAllPrintWhenExpressionsNull()`
`java.lang.Object` | `clone()`
`JRBand[]` | `getBands()` Returns the bands within the current section.
`JRFillBand[]` | `getFillBands()`
`JROrigin` | `getOrigin()` Returns an element origin.
`protected boolean` | `isEmpty()`
`protected void` | `setNewGroup(JRGroup group, boolean isNew)`
`protected void` | `setNewPageColumn(boolean isNew)`
`protected void` | `setOrigin(JROrigin origin)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filler

    protected JRBaseFiller filler

### bands

    protected JRFillBand[] bands

### origin

    protected JROrigin origin

Constructor Detail

### JRFillSection

    protected JRFillSection(JRBaseFiller filler,
                            JRSection section,
                            JRFillObjectFactory factory)

Method Detail

### getOrigin

    public JROrigin getOrigin()

  Description copied from interface: `JROriginProvider`
  Returns an element origin.

  Specified by:
    `getOrigin` in interface `JROriginProvider`
  Returns:
    an element origin

### setOrigin

    protected void setOrigin(JROrigin origin)

### getFillBands

    public JRFillBand[] getFillBands()

### getBands

    public JRBand[] getBands()

  Description copied from interface: `JRSection`
  Returns the bands within the current section.

  Specified by:
    `getBands` in interface `JRSection`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

### isEmpty

    protected boolean isEmpty()

### areAllPrintWhenExpressionsNull

    protected boolean areAllPrintWhenExpressionsNull()

### setNewPageColumn

    protected void setNewPageColumn(boolean isNew)

### setNewGroup

    protected void setNewGroup(JRGroup group,
                               boolean isNew)

### addNowEvaluationTime

    protected void addNowEvaluationTime(JREvaluationTime evaluationTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com